Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_SortRank

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.olap.query.SortRankBase
              com.tonbeller.jpivot.xmla.XMLA_SortRank

All Implemented Interfaces:
  Extension, ExpressionConstants, SortRank, QuaxChangeListener, java.util.EventListener

    public class XMLA_SortRank

extends SortRankBase
implements SortRank

SortRank Implementation XMLA

Field Summary

Fields inherited from class com.tonbeller.jpivot.olap.query.SortRankBase
`quaxToSort, sorting, sortMode, sortPosMembers, topBottomCount`

Fields inherited from interface com.tonbeller.jpivot.olap.navi.SortRank
`ID`

Fields inherited from interface com.tonbeller.jpivot.olap.model.ExpressionConstants
`ASC, BASC, BDESC, BOTTOMCOUNT, DESC, TOPCOUNT`

Constructor Summary
`XMLA_SortRank()`

Method Summary
`void` | `addSortToQuery()` apply sort to query
`boolean` | `isSortable(Position position)` returns true, if one of the members is a measure

Methods inherited from class com.tonbeller.jpivot.olap.query.SortRankBase
`activeQuaxToSort, getQuaxToSort, getSortMode, getSortPosMembers, getTopBottomCount, isCurrentSorting, isSorting, isSortOnQuery, quaxChanged, reset, setQuaxToSort, setSorting, setSortMode, setSortPosMembers, setTopBottomCount, sort`

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.navi.SortRank
`getSortMode, getTopBottomCount, isCurrentSorting, isSorting, setSorting, setSortMode, setTopBottomCount, sort`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### XMLA_SortRank

    public XMLA_SortRank()

Method Detail

### isSortable

    public boolean isSortable(Position position)

  returns true, if one of the members is a measure

  Specified by:
    `isSortable` in interface `SortRank`
  Overrides:
    `isSortable` in class `SortRankBase`
  Parameters:
    `position` - the position to check for sortability
  Returns:
    true, if the position is sortable
  See Also:
    `SortRank.isSortable(Position)`

### addSortToQuery

    public void addSortToQuery()

  apply sort to query

  Specified by:
    `addSortToQuery` in class `SortRankBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD